Obtain or refresh an access token

Get an access_token to make authenticated calls to the Ads API or get a refresh_token to request a new access_token once the current token expires. For initial authorization, send a code (authorization code) and get a refresh_token and an access_token. To refresh an access_token, send the refresh_token and get an access_token.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Contains API credentials to exchange for either an access_token or a refresh_token.

string
required

Your application's client identifier. Required when grant_type is authorization_code or refresh_token.

string
required

Your application's client secret for authentication. Required when grant_type is authorization_code or refresh_token.

string
enum
required

Denotes the flow you are using. For initial authorization to get an access_token use authorization_code. To refresh a token use refresh_token.

Allowed:
string

Authorization code. Required when grant_type is authorization_code.

uri

Redirect URI used in the authorization request. Required when grant_type is authorization_code.

string

Refresh token. Required when grant_type is refresh_token.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Choose an example:
application/json